Void Processed Redemption (Redemptions 1.0)

​

Voids a processed redemption. After a redemption is voided successfully, the offer tied to the redemption is returned to the guest's account.

Note: The Void Redemption API allows you to cancel a redemption without any time restrictions for most types of redemptions. However, for coupons and promos, redemptions can only be voided within 24 hours of the redemption process.

Headers

  • The signature for the API call

  • Set this header to application/json.

  • Advertises which content types the client is able to understand

  • For details, see User Agent.

  • You may pass the access_token instead of the authentication_token in Online Ordering endpoints to authorize the request. It must be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

Body

application/json
  • Client key of the business

  • ID of the redemption that you want to delete

  • The authentication token of the user. You can retrieve this from the response of a successful sign-in API call or through the SSO process.

  • Why the redemption is being deleted

  • To be entered if the redemption ID is not provided. If both redemption_id and redemption_code are provided, then only redemption_id will be processed.

Responses

  • application/json
Request Example for delete/api/auth/redemptions
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/auth/redemptions \
  --request DELETE \
  --header 'x-pch-digest: SIGNATURE_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'User-Agent: Punchh/OnlineOrder/1.0/Web/BrowserVersion/OS_Type' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --data '{
  "redemption_id": 323242,
  "authentication_token": "AUTHENTICATION_TOKEN_GOES_HERE",
  "client": "CLIENT_GOES_HERE"
}'
{}